
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

PACKAGE bramAsLutPack_16x2 IS

	CONSTANT BramLen : integer := 16;	
	CONSTANT BramLenInBits : integer := 4;
	
	CONSTANT DataBitSize : integer := 2;
	
	TYPE ram_t is array (0 TO BramLen - 1) of std_logic_vector(DataBitSize - 1 downto 0);
	
	CONSTANT initConst : ram_t := ("00", "01", "01", "00", "01", "10", "10", "01", "01", "10", "10", "01", "00", "01", "01", "00");

END PACKAGE;